[android-components](../../index.md) / [mozilla.components.service.fretboard](../index.md) / [ExperimentStorage](index.md) / [retrieve](./retrieve.md)

# retrieve

`abstract fun retrieve(): `[`ExperimentsSnapshot`](../-experiments-snapshot/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/fretboard/src/main/java/mozilla/components/service/fretboard/ExperimentStorage.kt#L24)

Reads experiments from disk

**Return**
experiments from disk

